%bcond_without bootstrap

Summary:        Testing library that makes it easy to create mocks, stubs and fakes
Name:           python-flexmock
Version:        0.11.3
Release:        5%{?dist}
License:        BSD-2-Clause-Views
URL:            https://flexmock.readthedocs.org
Source0:        https://github.com/flexmock/flexmock/archive/%{version}/flexmock-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  /usr/bin/subunit2pyunit

%description
Flexmock is a testing library for Python that makes it easy to create mocks,\
stubs and fakes. The API is inspired by a Ruby library of the same name, but\
Python flexmock is not a clone of the Ruby version. It omits a number of\
redundancies in the Ruby flexmock API, alters some defaults, and introduces\
a number of Python-only features.\


%package -n python3-flexmock
Summary:        Testing library that makes it easy to create mocks, stubs and fakes

Provides: python3-flexmock

%description -n python3-flexmock
Flexmock is a testing library for Python that makes it easy to create mocks,\
stubs and fakes. The API is inspired by a Ruby library of the same name, but\
Python flexmock is not a clone of the Ruby version. It omits a number of\
redundancies in the Ruby flexmock API, alters some defaults, and introduces\
a number of Python-only features.\


%prep
%autosetup -n flexmock-%{version}
sed -i "/teamcity-messages$/d" tox.ini
sed -i "/test_teamcity.py$/d" tox.ini
sed -i "/setenv = PYTHONPATH/d" tox.ini


%generate_buildrequires
%if %{with bootstrap}
%pyproject_buildrequires -r 
%else
%pyproject_buildrequires -r -e %{toxenv}-pytest-latest
%endif


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flexmock

%if %{without bootstrap}
%check
PYTHONPATH=.:%{buildroot}/%{python3_sitelib} %tox
%endif

rm -rf %{buildroot}/%{python3_sitelib}/{LICENSE,docs,*.md,tests}

%files -n python3-flexmock -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md docs/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.3-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.11.3-1
- initial build